# ModifyBorderGatewaysAttribute

## 1. API Description

This API (ModifyBorderGatewaysAttribute) is used to The API is used to modify the attributes of one or more border gateways. Only the border gateway name to be displayed can be modified for now.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type                                                                                   | Description                                                                                                                                                                                           |
| ---------------- | -------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| zbgIds           | Yes      | Array of String                                                                        | <p>Border gateway ID(s).</p><p>The maximum number of border gateways in each request is 100.</p>                                                                                                      |
| name             | No       | String                                                                                 | <p>Border gateway name to be displayed.</p><p>This parameter must start and end with a number or a letter, containing 2 to 63 characters. Only letters, numbers, - and periods (.) are supported.</p> |
| routingMode      | No       | [RoutingMode](/api-reference/compute/zec/datastructure.md#routingmode)                 | Dynamic route mode.                                                                                                                                                                                   |
| advertisedSubnet | No       | [ZbgAdvertisedSubnet](/api-reference/compute/zec/datastructure.md#zbgadvertisedsubnet) | <p>Subnet route advertisement.</p><p>Default value: Advertise All .</p>                                                                                                                               |
| advertisedCidrs  | No       | Array of String                                                                        | Custom IPv4 CIDR block list.                                                                                                                                                                          |
| asn              | No       | Integer                                                                                | <p>ASN of the border gateway.</p><p>Value range: \[65000, 65534]</p>                                                                                                                                  |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify border gateway name in batches.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyBorderGatewaysAttribute
<Common Request Params>

Request:
{
  "zbgIds": [
    "xxx"
  ],
  "name": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code               | Description                    |
| ---------------- | ------------------------ | ------------------------------ |
| 404              | INVALID\_ZBG\_NOT\_FOUND | Border gateway does not exist. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/border-gateway/modifybordergatewaysattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
